Bug 602940 - [abrt] crash in exaile-0.3.1.1-1.fc13: handlers.py:125:doRollover:OSError: [Errno 2] No such file or directory
Summary: [abrt] crash in exaile-0.3.1.1-1.fc13: handlers.py:125:doRollover:OSError: [E...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7a08a823
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-11 05:01 UTC by Faul
Modified: 2010-07-20 22:49 UTC (History)
2 users (show)

Fixed In Version: exaile-0.3.2.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-20 22:49:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (920 bytes, text/plain)
2010-06-11 05:01 UTC, Faul
no flags Details

Description Faul 2010-06-11 05:01:40 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.33.4-95.fc13.i686.PAE
package: exaile-0.3.1.1-1.fc13
reason: handlers.py:125:doRollover:OSError: [Errno 2] No such file or directory
release: Fedora release 13 (Goddard)

backtrace
-----
handlers.py:125:doRollover:OSError: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/exaile.py", line 52, in <module>
    main()
  File "/usr/lib/python2.6/site-packages/exaile/exaile.py", line 49, in main
    exaile = main.Exaile()
  File "/usr/lib/python2.6/site-packages/exaile/xl/main.py", line 70, in __init__
    self.setup_logging()
  File "/usr/lib/python2.6/site-packages/exaile/xl/main.py", line 289, in setup_logging
    logfile.doRollover() # each session gets its own file
  File "/usr/lib/python2.6/logging/handlers.py", line 125, in doRollover
    os.rename(sfn, dfn)
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
sfn: '/home/faul/.local/share/exaile/logs/exaile.log.4'
i: 4
self: <logging.handlers.RotatingFileHandler instance at 0x8c376cc>
dfn: '/home/faul/.local/share/exaile/logs/exaile.log.5'

Comment 1 Faul 2010-06-11 05:01:44 UTC
Created attachment 423139 [details]
File: backtrace

Comment 2 Fedora Update System 2010-06-29 16:38:37 UTC
exaile-0.3.2.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13

Comment 3 Fedora Update System 2010-06-30 15:07:21 UTC
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13

Comment 4 Fedora Update System 2010-07-20 22:48:40 UTC
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.